Skip to content

Tpt⁠

Perform various operations for Symitar parameters.

Operations⁠

getTptSelectFields⁠

POST

Execute the persistent ParameterService getTptSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TptPrinterintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTptSelectFields
POST /nexum/627/persistent/parameter/getTptSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "TptPrinter": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllTptFields": true,
    "TptFields": {
      "BlankLines": true,
      "CheckDetailLines": true,
      "Compression": true,
      "CustomFormat": true,
      "DocumentAccountCode": true,
      "DocumentNumber": true,
      "Forms": true,
      "LinesPerPage": true,
      "Printer": true,
      "PrinterType": true,
      "QueueNumber": true,
      "QueueSubNumber": true,
      "QueueSubType": true,
      "QueueTypes": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getTptPagedListSelectFields⁠

POST

Execute the persistent ParameterService getTptPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTptPagedListSelectFields
POST /nexum/627/persistent/parameter/getTptPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTptFields": true,
    "TptFields": {
      "BlankLines": true,
      "CheckDetailLines": true,
      "Compression": true,
      "CustomFormat": true,
      "DocumentAccountCode": true,
      "DocumentNumber": true,
      "Forms": true,
      "LinesPerPage": true,
      "Printer": true,
      "PrinterType": true,
      "QueueNumber": true,
      "QueueSubNumber": true,
      "QueueSubType": true,
      "QueueTypes": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchTptPagedSelectFields⁠

POST

Execute the persistent ParameterService searchTptPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchTptPagedSelectFields
POST /nexum/627/persistent/parameter/searchTptPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTptFields": true,
    "TptFields": {
      "BlankLines": true,
      "CheckDetailLines": true,
      "Compression": true,
      "CustomFormat": true,
      "DocumentAccountCode": true,
      "DocumentNumber": true,
      "Forms": true,
      "LinesPerPage": true,
      "Printer": true,
      "PrinterType": true,
      "QueueNumber": true,
      "QueueSubNumber": true,
      "QueueSubType": true,
      "QueueTypes": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}